CREATE TABLE cjm_program_alternate_sources (
    PROGRAM_ALTERNATE_SOURCE_ID    NUMBER        ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    PROGRAM_HEADER_ID              NUMBER        ,
    ALTERNATE_SOURCE_CODE          VARCHAR2(120) ,
    ALTERNATE_SOURCE_ID            NUMBER        ,
    START_DATE                     DATE          ,
    END_DATE                       DATE          ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    PROGRAM_ALTERNATE_SOURCE_ID    NUMBER        ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    PROGRAM_HEADER_ID              NUMBER        ,
    ALTERNATE_SOURCE_CODE          VARCHAR2(120) ,
    ALTERNATE_SOURCE_ID            NUMBER        ,
    START_DATE                     DATE          ,
    END_DATE                       DATE          ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    CONSTRAINT pk_cjm_program_alternate_sources PRIMARY KEY (PROGRAM_ALTERNATE_SOURCE_ID, PROGRAM_ALTERNATE_SOURCE_ID)
);
